Does not work in Firefox 5 Rated 2 out of 5 stars

This add on does not work in Firefox 5, please update the add on.

This review is for a previous version of the add-on (1.0.9). 

OpenMedSpel is compatible with Firefox and Thunderbird through version 32 as of 4/18/2014.